org.apache.tomcat.util.http.parser

## Class EntityTag

- java.lang.Object
- - org.apache.tomcat.util.http.parser.EntityTag

-     public class EntityTag
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Boolean` | `compareEntityTag(StringReader input, boolean compareWeak, String resourceETag)` Parse the given input as (per RFC 7232) 1#entity-tag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityTag

          public EntityTag()

  - ### Method Detail

    - #### compareEntityTag

          public static Boolean compareEntityTag(StringReader input,
                                 boolean compareWeak,
                                 String resourceETag)
                                          throws IOException

      Parse the given input as (per RFC 7232) 1#entity-tag. Compare an ETag header with a resource ETag as described in RFC 7232 section 2.3.2.
      Parameters:
        `input` - The input to parse
        `compareWeak` - Use weak comparison e.g. match "etag" with W/"etag"
        `resourceETag` - Resource's ETag
      Returns:
        `true` if ETag matches, `false` if ETag doesn't match or `null` if the input is invalid
      Throws:
        `IOException` - If an I/O occurs during the parsing

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.